Subject: Re: [bmwg] REG: Draft https://datatracker.ietf.org/doc/draft-kishjac-bmwg-evpntest/

From: Sudhin Jacob <[email-masked]>
Date: Fri, 2 Sep 2016 06:12:52 +0000

Hi Marius,

Let me thank you for help, it is much appreciated. Kindly see the answers inline. Kindly take your time and let me know if you have any further questions.

Regards,
Sudhin

From: Marius Georgescu [mailto:[email-masked]]
Sent: Thursday, September 1, 2016 7:10 AM
To: Sudhin Jacob <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [bmwg] REG: Draft https://datatracker.ietf.org/doc/draft-kishjac-bmwg-evpntest/

Hi Sudhin,

Here are my comments for:
https://tools.ietf.org/html/draft-kishjac-bmwg-evpntest-02

I think that including PBB-EVPN was a good start towards improving this draft.
It also didn’t seem very difficult to do.

Sudhin>>>>>>>>>>>>> This is included both drafts are combined, this is mentioned in section 1 about the scope of PBB-EVPN.

My comments about your other draft (https://tools.ietf.org/html/draft-jacpra-bmwg-pmtest-01), I think stand here as well.

-1- Better structure, clarity and proofreading. It is a bit hard from my perspective to read the document as is.
I assume that an improved sections layout and an English check should help.

Sudhin>>>  Each section is numbered and explained if you point any particular section issues let me know I will correct it.

-2- Reporting format is not clear for the proposed benchmarks.

Sudhin>>>>>> There are  6 benchmarking parameters defined in section 4.

4.1 MAC Learning in Control plane and Data Plane
4.2 MAC flush for locally learned and remote learned MAC
4.3 High Availability
4.4 Convergence Time
4.5 Scale
4.6 SOAK

So the tests are based on the  above parameters, each parameter is tested  individually and measured. The data are collected.

The objective of testing which parameters are mentioned in the draft. The measurement details are provided.

Example

   Measurement

   The DUT mac table must learn the X macs in data plane in T time frame.
   The DUT must send type 2 routes to remote router in T' time frame.

May I humbly request you to clarify this, do you want any output details.

-3- Traffic setup is clearer than the other draft, but maybe specifically mentioning the Ethernet frames format, or some wording on that, should help.

Sudhin >>>>  I  added that  in the topology details like layer 2 (bidirectional) traffic.  We will explain that how the traffic is send in section 3.

As a plus, I would add the following.

-4- From the test setup/test diagram it is difficult to understand how the test traffic is flowing from one element to the other

Sudhin>>>>>>>>>>>>>>will explain in section 3.

-5- EVPN setup.
In one instance you say
“All four  routers except CE are running mpls,[space after comma]bgp
"
>>>>> sudhin will add the terminology below this.

Modified version
The network consists of 5 routers and 2 traffic generator ports.  DUT
   is acting as one of MH PE to CE.The RR is acting as route reflector
   and core router.R1 is a Single home router running evpn.  All four
   routers except CE are running mpls,bgp emulating a provider scenario.
   CE is a dual home connected to DUT and MH PE1.The testing will be
   done on DUT to bench mark the service. DUT and MHPE2 is running
   EVPN with SA/AA with CE.The DUT and other PE's will be running X EVI's
   (EVPN instances) on X sub interfaces.

Some wording on how that should be set up, I think would help.

Regards,
Marius

On Aug 26, 2016, at 22:46, Sudhin Jacob <[email-masked]<mailto:[email-masked]>> wrote:

Hi All,

I have uploaded draft after incorporating the comments received by IETF 96. Kindly review it and let us know the feedback for adoption.

Regards,
Sudhin

_______________________________________________
bmwg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bmwg